API documentation

Standard SMM panel API v2 format. Existing reseller tools work as-is.

HTTP method
POST
API URL
https://api.orcasmm.com/api/v2
Request format
x-www-form-urlencoded
Response format
JSON
action=services
Service list
Parameters
keyAPI key
actionservices
Example response
[
  {
    "service": 1,
    "name": "Instagram Followers",
    "type": "Default",
    "category": "Instagram",
    "rate": "0.9000",
    "min": "50",
    "max": "10000",
    "refill": true,
    "cancel": true,
    "dripfeed": false
  }
]
action=add
Add order
Parameters
keyAPI key
actionadd
serviceService ID
linkLink
quantityQuantity
runsDrip-feed runs (optional)
intervalDrip-feed interval in minutes (optional)
commentsComments, one per line (comment services)
Example response
{
  "order": 23501
}
action=status
Order status
Parameters
keyAPI key
actionstatus
orderOrder ID
ordersComma separated order IDs (up to 100)
Example response
{
  "charge": "0.2782",
  "start_count": "3572",
  "status": "Partial",
  "remains": "157",
  "currency": "USD"
}
action=refill
Create refill
Parameters
keyAPI key
actionrefill
orderOrder ID
ordersComma separated order IDs (up to 20)
Example response
{
  "refill": 1
}
action=refill_status
Refill status
Parameters
keyAPI key
actionrefill_status
refillRefill ID
refillsComma separated refill IDs (up to 20)
Example response
{
  "status": "Completed"
}
action=cancel
Cancel orders
Parameters
keyAPI key
actioncancel
ordersComma separated order IDs (up to 20)
Example response
[
  { "order": 9, "cancel": 1 },
  { "order": 2, "cancel": { "error": "Incorrect order ID" } }
]
action=balance
Balance
Parameters
keyAPI key
actionbalance
Example response
{
  "balance": "100.8429",
  "currency": "USD"
}
Example request (curl)
curl -X POST https://api.orcasmm.com/api/v2 \
  -d key=YOUR_API_KEY \
  -d action=add \
  -d service=1 \
  -d link=https://instagram.com/username \
  -d quantity=1000